Questão Miniaturas para determinados formatos que não aparecem no Nautilus


.odt e .odb arquivos não tem um ícone no Nautilus e alguns dos meus documentos antigos estão faltando suas miniaturas, os quais são ou .odt ou .odp.

Acabei de limpar e reinstalar o LibreOffice hoje ... poderia ser essa a razão?

Eu estou no Ubuntu 11.10, usando o LibreOffice 3.4 340m1 (Build: 402) que vem por padrão nos repositórios.

Aqui está o que eu vejo para esses formatos:


3
2018-04-09 22:13


origem


Você pode dar mais informações? o que você vê? qual versão do ubuntu e onde você instalou o libreoffice (do repo ou de qualquer ppa)? No meu computador eu vejo isso por exemplo: imagebin.org/207375 - peppe84
Claro ... Eu tenho a tendência de ser vago às vezes, sinto muito por isso. Vou adicioná-lo ao meu post original como edição. - Ryan McClure
Eu encontrei olhar em volta da solução: askubuntu.com/a/80055/13038 Parece funcionar para esse usuário - peppe84
Minha pasta .local / share / applications não tem nada relacionado ao LibreOffice. :( - Ryan McClure


Respostas:


Para ter documentos do LibreOffice no Nautilus enquanto estiver usando o Ubuntu 11.10, você precisa instalar uma extensão, já que eles não são suportados por padrão.

O único que eu conheço é ooo-thumbnailer a partir de esta PPA, pode ser instalado usando estes comandos em um terminal:

sudo apt-add-repository ppa:flimm/ooo-thumbnailer
sudo apt-get update
sudo apt-get install ooo-thumbnailer

Quando terminar de instalar, você deve fazer logoff ou reiniciar o Nautilus com nautilus -q.

Deve ser seguro usar este PPA, mas você deve sempre lembrar que não há garantias usando PPAs.

Para mais informações sobre quais são os PPAs e os riscos envolvidos no uso, por favor, dê uma olhada nos seguintes posts:


3
2018-04-09 22:20



Eu instalei o ooo-thumbnailer e reiniciei o meu computador. Ainda não há ícones. Obrigado pela sua ajuda, no entanto. Você acha que talvez alguns arquivos estejam faltando na minha instalação LO? - Ryan McClure
@RyanMcClure A versão mais recente (0.5) funciona bem para mim no 12.04.2 LTS e com o LO 3.6.5 instalado. Você instalou o LO manualmente ou a partir do repos / um PPA? - Glutanimate
Outra opção é o libgsf-bin pacote. Isso funciona para mim em 14.04!